/[pub]/test/html-webhacc/cc-style.css
Suika

Diff of /test/html-webhacc/cc-style.css

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 1.7 by wakaba, Sat Jul 21 04:58:17 2007 UTC revision 1.11 by wakaba, Sun Nov 4 09:15:02 2007 UTC
# Line 7  Line 7 
7    padding: 0.5em 1em;    padding: 0.5em 1em;
8  }  }
9    
10  dt {  dt, strong, th {
11    font-weight: bolder;    font-weight: bolder;
12    font-family: sans-serif;    font-family: sans-serif;
13  }  }
# Line 103  q:before, q:after { Line 103  q:before, q:after {
103    font-size: 90%;    font-size: 90%;
104  }  }
105    
106  #parse-errors dd, #document-errors dd, #error-description h3 {  #dump-manifest tbody:empty {
107      display: table-caption;
108      caption-side: bottom;
109    }
110    
111    #dump-manifest tbody:empty::after {
112      content: "This cache manifest contains no oppotunistic caching namespace.";
113      font-style: italic;
114    }
115    
116    #dump-manifest dt:first-child + dt::before,
117    #dump-manifest dt:last-child::after {
118      display: block;
119      content: "This cache manifest contains no explicit entry.";
120      margin-left: 2.5em;
121      font-style: italic;
122      font-weight: normal;
123      font-family: serif;
124    }
125    
126    #dump-manifest dt:last-child::after {
127      content: "This cache manifest has an empty online whitelist.";
128    }
129    
130    #parse-errors dd, #document-errors dd, #error-description h3,
131    #result-para {
132    margin-left: 20px;    margin-left: 20px;
133    padding-left: 40px;    padding-left: 40px;
134    min-height: 32px;    min-height: 32px;
# Line 129  q:before, q:after { Line 154  q:before, q:after {
154    margin-right: 1em;    margin-right: 1em;
155  }  }
156    
157  #document-errors dd.should, #error-description .should h3 {  #document-errors dd.should, #error-description .should h3,
158    #result-para.SEE-RESULT {
159    background-image: url(large-alert);    background-image: url(large-alert);
160  }  }
161    
# Line 139  q:before, q:after { Line 165  q:before, q:after {
165    padding: 0.5em;    padding: 0.5em;
166  }  }
167    
168  #document-errors dd.unsupported, #error-description .unsupported h3 {  #document-errors dd.unsupported, #error-description .unsupported h3,
169    #result-para.uncertain {
170    background-image: none;    background-image: none;
171  }  }
172    
173    #result-para.PASS {
174      background-image: url(ok);
175    }
176    
177  #nav-items {  #nav-items {
178    display: block;    display: block;
179    position: fixed;    position: fixed;
# Line 186  code { Line 217  code {
217    white-space: pre-wrap;    white-space: pre-wrap;
218  }  }
219    
220    .rfc2119 {
221      border-style: none;
222      text-transform: lowercase;
223      font-variant: small-caps;
224      font-style: normal;
225      text-decoration: none;
226      font-weight: normal;
227      font-family: sans-serif;
228    }
229    
230    #result-summary table {
231      margin-left: auto;
232      margin-right: auto;
233      border: 3px solid #800080;
234      border-collapse: collapse;
235    }
236    
237    #result-summary tbody, colgroup {
238      border: 3px solid #800080;
239    }
240    
241    #result-summary th {
242      background-color: #fff0f0;
243      color: black;
244    }
245    
246    #result-summary th, #result-summary td {
247      border: 1px solid #800080;
248      padding: 0.2em 0.5em;
249      text-align: center;
250      empty-cells: show;
251    }
252    
253    .uncertain td, p.uncertain {
254      background-color: #e1e1ff;
255      color: black;
256    }
257    
258    .FAIL, .uncertain td.FAIL {
259      background-color: #ffcece;
260      color: black;
261    }
262    
263    .SEE-RESULT, .uncertain td.SEE-RESULT {
264      background-color: #e1e1ff;
265      color: black;
266    }
267    
268    .PASS {
269      background-color: #ddffdd;
270      color: black;
271    }
272    
273    #result-para {
274      padding-top: 0.2em;
275      padding-bottom: 0.2em;
276      padding-right: 1em;
277    }
278    
279    /* dl.switch from WHATWG specification style sheet */
280    
281    dl.switch {
282      padding-left: 2em;
283    }
284    
285    dl.switch dt {
286      display: block;
287      text-indent: -1.5em;
288      font-weight: bolder;
289      font-family: sans-serif;
290      font-style: normal;
291    }
292    
293    dl.switch dt:before {
294      content: '\21AA';
295      padding: 0 0.5em 0 0;
296      display: inline-block;
297      width: 1em;
298      text-align: right;
299      line-height: 0.5em;
300    }
301    
302    dl.switch dt:after {
303      content: " :";
304    }
305    
306  /*  /*
307    
308  Copyright 2007 Wakaba <[email protected]>  Copyright 2007 Wakaba <[email protected]>.
309    
310  This library is free software; you can redistribute it  This library is free software; you can redistribute it
311  and/or modify it under the same terms as Perl itself.  and/or modify it under the same terms as Perl itself.

Legend:
Removed from v.1.7  
changed lines
  Added in v.1.11

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24